# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TNamespace

Packages that use TNamespace
Package
Description
com.databricks.jdbc.common.util
com.databricks.jdbc.model.client.thrift.generated

## Uses of TNamespace in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util that return TNamespace
Modifier and Type
Method
Description
`static TNamespace`
DatabricksThriftUtil.`getNamespace(String catalog, String schema)`

## Uses of TNamespace in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TNamespace
Modifier and Type
Class
Description
`class`
`TNamespace`
`class`
`TNamespace`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TNamespace
Modifier and Type
Field
Description
`TNamespace`
TOpenSessionReq.`initialNamespace`
`TNamespace`
TOpenSessionResp.`initialNamespace`
`TNamespace`
TStatementConf.`initialNamespace`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TNamespace
Modifier and Type
Method
Description
`TNamespace`
TNamespace.`deepCopy()`
`TNamespace`
TOpenSessionReq.`getInitialNamespace()`
`TNamespace`
TOpenSessionResp.`getInitialNamespace()`
`TNamespace`
TStatementConf.`getInitialNamespace()`
`TNamespace`
TNamespace.`setCatalogName(String catalogName)`
`TNamespace`
TNamespace.`setSchemaName(String schemaName)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TNamespace
Modifier and Type
Method
Description
`int`
TNamespace.`compareTo(TNamespace other)`
`boolean`
TNamespace.`equals(TNamespace that)`
`TOpenSessionReq`
TOpenSessionReq.`setInitialNamespace(TNamespace initialNamespace)`
`TOpenSessionResp`
TOpenSessionResp.`setInitialNamespace(TNamespace initialNamespace)`
`TStatementConf`
TStatementConf.`setInitialNamespace(TNamespace initialNamespace)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TNamespace
Modifier
Constructor
Description
``
`TNamespace(TNamespace other)`
Performs a deep copy on other.